.pt-o-game-dd2{
    position: relative;
    height: 100%;
    width: min(100%, 1250px);
    display: flex;
    align-items: center;
    justify-content: center;

    .temp-drag-item{
        border-radius: 1.6rem;
        position: relative;
        min-width: 9ch;
        min-height: 4rem;
        height: auto;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 2.4rem;
        color: $white;
        padding: 0.4rem;
        background: #2693FD;
        box-shadow: 0 0.4rem 0 #8CC4FE;
        cursor: grab;     
        user-select: none;   
        z-index: 5;
    }

    &__container{
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        user-select: none;

        & > .__paper {
            width: 64.2rem;
            height: 100%;
            margin: 0 auto;
            font-size: 2rem;
            line-height: 3.2rem;
            position: relative;

            &.--hidden {
            display: none;
            }

            & > .__toggle {
                width: 1.6rem;
                height: 1.6rem;
                cursor: pointer;
                position: absolute;
                top: 1.8rem;
                right: 3.6rem;
                z-index: 2;
                transform: rotate(45deg);
            }

            .__pin.--right {
                display: none;
            }
        }
    }

    &__left {
        width: 18vw;
        max-width: 20vw;
        height: 42vh;
        max-height: 38rem;
        border-radius: 14vh 0 0 14vh;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
  
        & > .__player {
            width: 12.8rem;
            height: 12.8rem;
        }
  
        & > .__duration {
            color: $dodgerBlue;
            font-family: 'mont_sb';
            font-size: 2.8rem;
            line-height: 3.4rem;
            position: absolute;
            bottom: 2.4rem;
            left: 50%;
            transform: translateX(-50%);
        }
    }

    &__right {
        position: relative;
        max-width: calc(100% - 10vw);
        width: 100%;
        height: 100%;
        margin: 0 auto;
        background: $white;
        border-radius: 1.2rem;
        display: flex;
        flex-direction: column;
        transition: all 0.25s ease-in-out;
        transition-delay: 0.25s;
        font-family: "mont_m";

        & > .__tapescript {
            min-width: 17.6rem;
            height: 4.6rem;
            background: linear-gradient($deepSkyBlue, $dodgerBlue);
            border-radius: 2.3rem;
            color: $white;
            font-family: 'mont_b';
            font-size: 1.8rem !important;
            position: absolute;
            bottom: 1.2rem;
            left: max(-9vw, -17rem);
            transform: translateX(-50%);
    
            &:active {
                &::before {
                    opacity: 1;
                }
            }
    
            &::before {
                width: 17.6rem;
                height: 4.6rem;
                background: $deepSkyBlue;
                border-radius: 2.3rem;
                color: $white;
                content: 'Tapescript';
                display: flex;
                align-items: center;
                justify-content: center;
                font-family: 'mont_b';
                font-size: 1.8rem;
                opacity: 0;
                pointer-events: none;
                position: absolute;
                top: 0;
                left: 0;
            }
        }

        & > .__header {
            height: auto;
            max-height: 30%;
            position: relative;
            border-radius: 1.2rem 1.2rem 0 0;
            text-align: center;
            font-family: 'mont_m';
            font-size: 1.8rem;
            line-height: 2.2rem;
            padding: 1.6rem 3.2rem;
            background: linear-gradient($mayaBlue, $dodgerBlue);
            color: $white;
            overflow-y: auto;
            &::-webkit-scrollbar {
                width: 5px;
                background-color: transparent;
            }
            &::-webkit-scrollbar-track {
                background-color: transparent;
                border-radius: 10px;
                margin-top: 1rem;
                margin-bottom: 1rem;
                margin-right: 1rem;
            }
            &::-webkit-scrollbar-thumb {
                background: #A3D2E5;
                border-radius: 10px;
            }
            &.--keyword-one-line{
                display: flex;
                align-items: center;
                justify-content: space-between;
                & > div {
                    width: 20%;
                }
            }
        }
        & > .__content {
            padding: 1.2rem 0.5rem 1.4rem 1rem;
            min-height: 70%;
            height: 100%;
            width: 100%;
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: row;

            .drag-drop-main-section {
                min-width: 76%;
                width: 100%;
                height: 100%;
                border-radius: 1.2rem;
                background: #D4F1FF;
                padding: 1.6rem;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: row;
                flex-wrap: wrap;
                overflow-y: auto;
                &::-webkit-scrollbar {
                    width: 5px;
                    background-color: transparent;
                }
                &::-webkit-scrollbar-track {
                    background-color: transparent;
                    border-radius: 10px;
                    margin-top: 1rem;
                    margin-bottom: 1rem;
                    margin-right: 1rem;
                }
                &::-webkit-scrollbar-thumb {
                    background: #A3D2E5;
                    border-radius: 10px;
                }

                &.--selected {
                    border: 2.6px solid #2692ff;
                    border-style: dashed;
                    box-shadow: none !important;
                }

                .drag-drop-area,
                .example-area{
                    min-height: 17rem;
                    width: calc(25% - 2rem);
                    margin-left: 1rem;
                    margin-right: 1rem;
                    margin-bottom: 3rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: column;
                    .image-example-item{
                        position: relative;
                        height: 12rem;
                        width: 85%;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        box-shadow: 0px 0px 0px 2px #d4e9ff;
                        border-radius: 8px;
                        margin-bottom: 1rem;
                        background: white;
                        img {
                            border-radius: 8px;
                            height: auto;
                            max-width: 100%;
                            max-height: 100%;
                            height: 100%;
                            width: 100%;
                            object-fit: contain;
                            cursor: zoom-in;
                        }
                    }
                    .image-keyword-item{
                        position: relative;
                        height: 12rem;
                        width: 85%;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        box-shadow: 0px 0px 0px 2px #d4e9ff;
                        border-radius: 8px;
                        margin-bottom: 1rem;
                        background: white;
                        img {
                            border-radius: 8px;
                            max-width: 100%;
                            max-height: 100%;
                            height: 100%;
                            width: 100%;
                            object-fit: contain;
                            cursor: zoom-in;
                        }
                        &.--danger{
                            box-shadow: 0px 0px 0px 3px salmon;
                        }
                        &.--success{
                            box-shadow: 0px 0px 0px 3px limegreen;
                        }
                    }

                    .icon-checked-true,
                    .icon-checked-false{
                        position: absolute;
                        height: 1.4rem;
                        width: 1.4rem;
                        top: -5px;
                        left: 50%;
                        right: 50%;
                        transform: translate(-6px, -7px);
                        img{
                            height: 100%;
                            width: 100%;
                        }
                    }
                    .example-input-cell{
                        position: relative;
                        min-height: 4rem;
                        width: 100%;
                        min-width: 8ch;
                        padding: 0.4rem;
                        border-radius: 2rem;
                        box-shadow: 0 0.4rem 0 #67ab8db3;
                        background: #67ab8d;
                        line-height: 2.4rem;
                        text-align: center;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        pointer-events: none;
                        span{
                            color: white;
                            font-size: 1.8rem;
                            font-family: 'mont_sb';
                            user-select: none;
                        }
                    }
                    
                    .keyword-input-cell{
                        // height: 4rem;
                        min-height: 4rem;
                        width: 100%;
                        min-width: 8ch;
                        border-radius: 2rem;
                        border: 2px dashed #2693FD;
                        background: white;
                        pointer-events: all;
                        &.__has-data{
                            display: none;
                        }

                        &.--danger {
                            border-style: none;
                            box-shadow: 0 0.4rem 0 #E56C6C;
                            background-color: salmon;
                            color: $white;
                        }
          
                        &.--success {
                            border-style: none;
                            box-shadow: 0 0.4rem 0 #91E897;
                            background-color: limegreen;
                            color: $white;
                        }
                        span {
                            user-select: none;
                        }
                    }
                    .dropped-text{
                        position: relative;
                        min-width: 8ch;
                        min-height: 4rem;
                        height: auto;
                        text-align: center;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-wrap: wrap;
                        font-family: 'mont_sb';
                        font-size: 1.8rem;
                        line-height: 2.4rem;
                        color: $white;
                        padding: 0.4rem;
                        background: #2693FD;
                        border-radius: 2rem;
                        box-shadow: 0 0.4rem 0 #8CC4FE;
                        cursor: grab;       
                        span {
                            user-select: none;
                        }                                         
                    }
                }
            }
            .keyword-list-section{
                min-width: 0;
                width: 24%;
                height: 100%;
                overflow-y: auto;
                overflow-x: hidden;
                display: flex;
                flex-direction: column;
                // justify-content: center;
                align-items: center;
                &::-webkit-scrollbar {
                    width: 5px;
                    background-color: transparent;
                }
                &::-webkit-scrollbar-track {
                    background-color: transparent;
                    border-radius: 10px;
                }
                &::-webkit-scrollbar-thumb {
                    background: #D4E9FF;
                    border-radius: 10px;
                }
                &.--selected {
                    border-radius: 1.2rem;
                    border: 2px solid #2692ff;
                    border-style: dashed;
                    box-shadow: none !important;
                }

                .__drag {
                    &-item {
                        width: calc(100% - 1.2rem);
                        margin: 0.6rem;
                        height: 4rem;
                        min-height: 4rem;
                        margin-bottom: 1.4rem;
                        text-align: center;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        &.--item-left-hidden{
                            visibility: collapse;
                            height: 0;
                            width: 0;
                            margin: 0;
                            min-height: 0;
                        }
                    }
        
                    &-content {
                        position: relative;
                        padding: 0.4rem;
                        background: #2693FD;
                        border-radius: 2rem;
                        box-shadow: 0 0.4rem 0 #8CC4FE;
                        color: $white;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        cursor: grab;
                        font-family: 'mont_sb';
                        font-size: 1.8rem;
                        line-height: 2.4rem;
                        width: 100%;
                        &:hover {
                            &::before {
                                opacity: 1;
                            }
                        }
                        &:active{
                            &::before {
                                width: 100%;
                                height: 100%;
                                background: linear-gradient($limeGreen, $emerald);
                                border-radius: 1.2rem;
                                box-shadow: 0 0.4rem 0 $lightGreen;
                                content: '';
                                opacity: 0;
                                pointer-events: none;
                                position: absolute;
                                top: 0;
                                left: 0;
                                z-index: 1;
                                transition: opacity 0.25s ease-in-out;
                            }
                        }
        
                        &.--invisible {
                            opacity: 0;
                        }
        
                        & > span {
                            position: relative;
                            z-index: 2;
                        }
                    }
                }
            }
        }
    }

    .pt-o-block-paper {
        &__container {
        width: 100%;
            & > div {
                & > div:nth-child(2) {
                    display: none;
                }
            }
        }
    }
}
.disable-scroll-ds1{
    overflow: hidden !important;
}

@include screen-768-1024-portrait{
    .pt-o-game-dd2 {
        position: relative;
        flex-direction: column;
        overflow: auto;
        border-bottom-left-radius: 1.2rem;
        border-bottom-right-radius: 1.2rem;
        position: absolute;
        top: 1rem;
        justify-content: flex-start;
        flex: 1;
        height: 100%;

        .temp-drag-item{
            border-radius: 1.6rem;
            position: relative;
            min-width: 9ch;
            min-height: 4rem;
            height: auto;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-wrap: wrap;
            font-family: 'mont_sb';
            font-size: 1.8rem;
            line-height: 2.4rem;
            color: $white;
            padding: 0.4rem;
            background: #2693FD;
            box-shadow: 0 0.4rem 0 #8CC4FE;
            cursor: grab;  
            z-index: 5;      
        }

        &__container{
            flex-direction: column;
        }
        &__left {
            width: 100%;
            height: 12rem;
            border-radius: unset;
            border-top-left-radius: 50%;
            border-top-right-radius: 50%;
            max-width: unset;
            max-height: unset;
            flex-direction: column;
            overflow: unset;
            justify-content: space-around;
      
            & > .__player {
                width: 4.8rem;
                height: 4.8rem;
                top: 0.6rem;
            }
      
            & > .__duration {
                position: relative;
                bottom: 0.6rem;
                transform: unset;
                left: unset;
                font-size: 1.8rem;
            }
        }
        &__right {
            position: relative;
            width: 100%;
            height:calc(100% - 12rem);
            max-width: 100%;
            margin: 0 auto;
            background: $white;
            border-radius: 1.2rem;
            display: flex;
            flex-direction: column;
            font-family: 'mont_m';
      
            & > .__tapescript {
                min-width: 16.6rem;
                height: 3.4rem;
                border-radius: 2.3rem;
                font-family: 'mont_b';
                font-size: 1.4rem !important;
                top: -5.2rem;
                bottom: unset;
                left: 87%;
      
                &:active {
                    &::before {
                    opacity: 1;
                    }
                }
      
                &::before {
                    width: 11.6rem;
                    height: 3.4rem;
                    border-radius: 2.3rem;
                    content: 'Tapescript';
                    font-family: 'mont_b';
                    font-size: 1.4rem;
                    opacity: 0;
                    top: 0;
                    left: 0;
                }
            }

            & > .__header {
                padding: 1.4rem 2rem;
                font-size: 1.8rem;
                line-height: 2.2rem;
                position: relative;
            }
      
            & > .__content {
                padding: 1.2rem 1.2rem 1.4rem 1.2rem;
                position: relative;
                min-height: 70%;
                height: 100%;
                width: 100%;
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
    
                .drag-drop-main-section {
                    min-height: 75%;
                    width: 100%;
                    height: 100%;
                    border-radius: 1.2rem;
                    background: #D4F1FF;
                    padding: 1.6rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;
    
                    .drag-drop-area,
                    .example-area{
                        min-height: 17rem;
                        // width: 25%;
                        width: calc(33.33% - 2rem);
                        margin-right: 1rem;
                        margin-left: 1rem;
                        margin-bottom: 3rem;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;

                        .image-example-item,
                        .image-keyword-item{
                            position: relative;
                            height: 12rem;
                            width: 85%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            box-shadow: 0px 0px 0px 2px #d4e9ff;
                            border-radius: 8px;
                            margin-bottom: 1rem;
                            background: white;
                            img {
                                border-radius: 8px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }
    
                        .icon-checked-true,
                        .icon-checked-false{
                            position: absolute;
                            height: 1.6rem;
                            width: 1.6rem;
                            top: -5px;
                            left: 50%;
                            right: 50%;
                            transform: translate(-6px, -7px);
                            img{
                                height: 100%;
                                width: 100%;
                            }
                            
                        }

                        .example-input-cell{
                            position: relative;
                            min-height: 4rem;
                            // height: auto;
                            width: 100%;
                            min-width: 8ch;
                            padding: 0.4rem;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #67ab8db3;
                            background: #67ab8d;
                            line-height: 2.4rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            pointer-events: none;
                            span{
                                color: white;
                                font-size: 1.8rem;
                                font-family: 'mont_sb';
                            }
                        }
                        .keyword-input-cell{
                            height: auto;
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            border-radius: 2rem;
                            border: 2px dashed #2693FD;
                            background: white;
                            pointer-events: all;
                            &.__has-data{
                                display: none;
                            }
    
                            &.--danger {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #E56C6C;
                                background-color: salmon;
                                color: $white;
                            }
              
                            &.--success {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #91E897;
                                background-color: limegreen;
                                color: $white;
                            }
                        }
                        .dropped-text{
                            position: relative;
                            min-width: 8ch;
                            min-height: 4rem;
                            height: auto;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-family: 'mont_sb';
                            font-size: 1.8rem;
                            line-height: 2.4rem;
                            color: $white;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            cursor: grab;
                        }    
                    }
                }
                .keyword-list-section{
                    min-height: 0%;
                    width: 100%;
                    height: 25%;
                    overflow-y: auto;
                    overflow-x: hidden;
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    align-items: center;
                    justify-content: center;
                
                    .__drag {
                        &-item {
                            width: calc(33.33% - 1.2rem);
                            margin: 0.6rem 0.6rem 1rem 0.6rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            margin-bottom: 2rem;
                            
                        }            
                        &-content {
                            position: relative;
                            width: 100%;
                            min-height: 4rem;
                            border-radius: 2rem;
                            padding: 0.4rem;
                            background: #2693FD;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            color: $white;
                            font-family: 'mont_sb';
                            font-size: 1.8rem;
                            line-height: 2.4rem;
                            cursor: grab;
                            &:hover {
                                &::before {
                                    opacity: 1;
                                }
                            }
                            &:active{
                                &::before {
                                    width: 100%;
                                    height: 100%;
                                    background: linear-gradient($limeGreen, $emerald);
                                    border-radius: 1.2rem;
                                    box-shadow: 0 0.4rem 0 $lightGreen;
                                    content: '';
                                    opacity: 0;
                                    pointer-events: none;
                                    position: absolute;
                                    top: 0;
                                    left: 0;
                                    z-index: 1;
                                    transition: opacity 0.25s ease-in-out;
                                }
                            }
                            &.--invisible {
                                opacity: 0;
                            }
                            & > span {
                                position: relative;
                                z-index: 2;
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-767-portrait{
    .pt-o-game-dd2 {
        position: relative;
        flex-direction: column;
        overflow: auto;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        .temp-drag-item{
            border-radius: 1.6rem;
            position: relative;
            min-width: 9ch;
            min-height: 4rem;
            height: auto;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-wrap: wrap;
            font-family: 'mont_sb';
            font-size: 1.6rem;
            line-height: 2rem;
            color: $white;
            padding: 0.4rem;
            background: #2693FD;
            box-shadow: 0 0.4rem 0 #8CC4FE;
            cursor: grab;        
            z-index: 5;
        }
        &__container{
            flex-direction: column;
            & > .__paper {
                width: 100%;
                font-size: 1.4rem;
            }
        }
        &__left {
        width: 100%;
        height: 12rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: space-around;

        & > .__player {
            width: 4.8rem;
            height: 4.8rem;
            top: 0.6rem;
        }

        & > .__duration {
            position: relative;
            bottom: 0.6rem;
            transform: unset;
            left: unset;
            font-size: 1.8rem;
        }
        }
        &__right {
            position: relative;
            max-width: 100%;
            width: 100%;
            height: calc(100% - 12rem);
            margin: 0 auto;
            background: $white;
            border-radius: 1.2rem;
            display: flex;
            flex-direction: column;
            font-family: 'mont_m';
      
            & > .__tapescript {
                min-width: 16.6rem;
                height: 3.4rem;
                border-radius: 2.3rem;
                font-family: 'mont_b';
                font-size: 1.4rem !important;
                top: -5.2rem;
                bottom: unset;
                left: 87%;
        
                &:active {
                    &::before {
                        opacity: 1;
                    }
                }
      
                &::before {
                    width: 11.6rem;
                    height: 3.4rem;
                    border-radius: 2.3rem;
                    content: 'Tapescript';
                    font-family: 'mont_b';
                    font-size: 1.4rem;
                    opacity: 0;
                    top: 0;
                    left: 0;
                }
            }
            & > .__header {
                padding: 1.4rem 2rem;
                font-size: 1.6rem;
                line-height: 2.2rem;
                position: relative;
            }
            & > .__content {
                padding: 1rem 1rem 1.4rem 1rem;
                position: relative;
                min-height: 70%;
                height: 100%;
                width: 100%;
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
    
                .drag-drop-main-section {
                    min-height: 75%;
                    height: 100%;
                    width: 100%;
                    border-radius: 1.2rem;
                    background: #D4F1FF;
                    padding: 1.2rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;
                    margin-right: 0;
                    &::-webkit-scrollbar {
                        width: 5px;
                        background-color: transparent;
                    }
                    &::-webkit-scrollbar-track {
                        background-color: transparent;
                        border-radius: 10px;
                        margin-top: 1rem;
                        margin-bottom: 1rem;
                        margin-right: 1rem;
                    }
                    &::-webkit-scrollbar-thumb {
                        background: #A3D2E5;
                        border-radius: 10px;
                    }
    
                    .drag-drop-area,
                    .example-area{
                        min-height: 16rem;
                        width: calc(33.33% - 2rem);
                        margin-right: 1rem;
                        margin-left: 1rem;
                        margin-bottom: 2rem;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        
                        .image-example-item,
                        .image-keyword-item{
                            position: relative;
                            height: 12rem;
                            width: 85%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            box-shadow: 0px 0px 0px 2px #d4e9ff;
                            border-radius: 8px;
                            margin-bottom: 1rem;
                            background: white;
                            img {
                                border-radius: 8px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }

                        .example-input-cell{
                            position: relative;
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            padding: 0.4rem;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #67ab8db3;
                            background: #67ab8d;
                            line-height: 2rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            pointer-events: none;
                            span{
                                color: white;
                                font-size: 1.6rem;
                                font-family: 'mont_sb';
                            }
                        }
                        
                        .keyword-input-cell{
                            position: relative;
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            border-radius: 2rem;
                            border: 2px dashed #2693FD;
                            background: white;
                            pointer-events: all;
                            &.--danger {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #E56C6C;
                                background-color: salmon;
                                color: $white;
                            }
              
                            &.--success {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #91E897;
                                background-color: limegreen;
                                color: $white;
                            }
                        }
                        .dropped-text{
                            position: relative;
                            min-width: 8ch;
                            min-height: 4rem;
                            height: auto;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-family: 'mont_sb';
                            font-size: 1.6rem;
                            line-height: 2rem;
                            color: $white;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            cursor: grab;  
                        }
                    }
                }
                .keyword-list-section{
                    width: 100%;
                    min-height: 25%;
                    overflow-y: auto;
                    overflow-x: hidden;                    
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    align-items: center;
                    justify-content: center;
                    &::-webkit-scrollbar {
                        width: 5px;
                        background-color: transparent;
                    }
                    &::-webkit-scrollbar-track {
                        background-color: transparent;
                        border-radius: 10px;
                    }
                    &::-webkit-scrollbar-thumb {
                        background: #D4E9FF;
                        border-radius: 10px;
                    }
    
                    .__drag {
                        &-item {
                            width: calc(33.33% - 1.2rem);
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            margin: 0.6rem 0.6rem 1rem 0.6rem;
                        }
            
                        &-content {
                            min-height: 4rem;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            color: $white;
                            cursor: grab;
                            font-family: 'mont_sb';
                            font-size: 1.6rem;
                            line-height: 2rem;
                            position: relative;
            
                            &:hover {
                                &::before {
                                    opacity: 1;
                                }
                            }
            
                            &.--invisible {
                                opacity: 0;
                            }
            
                            & > span {
                                position: relative;
                                z-index: 2;
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-mobile-portrait{
    $font-size: 1.2rem;
    .pt-o-game-dd2 {
        position: relative;
        .temp-drag-item{
            position: relative;
            min-width: 8ch;
            min-height: 4rem;
            height: auto;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_sb';
            font-size: $font-size;
            line-height: 2rem;
            color: $white;
            padding: 0.4rem;
            background: #2693FD;
            border-radius: 2rem;
            box-shadow: 0 0.4rem 0 #8CC4FE;
            border-radius: 1.5rem;
            cursor: grab;      
            z-index: 5; 
        }
        &__container{
            flex-direction: column;
            flex:auto;
        }
        &__left {
            width: 100%;
            height: 6rem;
            border-radius: unset;
            border-top-left-radius: 50%;
            border-top-right-radius: 50%;
            max-width: unset;
            max-height: unset;
            flex-direction: row;
            overflow: unset;
            justify-content: center;
            padding-top: 0.6rem;
            & > .__player {
                width: 3rem;
                height: 3rem;
                top: unset;
                position: relative;
        
                .pt-m-audio-player__play,
                .pt-m-audio-player__pause {
                    width: 1.4rem !important;
                    height: 2.3rem !important;
                }
            }
      
            & > .__duration {
                position: relative;
                bottom: 0;
                transform: unset;
                left: unset;
                font-size: 1.4rem;
                margin-left: 1.6rem;
            }
        }
        &__right {
            position: relative;
            max-width: 100%;
            width: 100%;
            height: calc(100% - 6.5rem);
            margin: 0 auto;
            background: $white;
            border-radius: 1.2rem;
            display: flex;
            flex-direction: column;
            font-family: 'mont_m';
      
            & > .__tapescript {
                min-width: 8.6rem;
                height: 3rem;
                border-radius: 2.3rem;
                font-family: 'mont_b';
                font-size: 1.2rem !important;
                top: -4rem;
                bottom: unset;
                left: 84%;
      
                &:active {
                    &::before {
                        opacity: 1;
                    }
                }
      
                &::before {
                    width: 11.6rem;
                    height: 3.4rem;
                    border-radius: 2.3rem;
                    content: 'Tapescript';
                    font-family: 'mont_b';
                    font-size: 1.2rem;
                    opacity: 0;
                    top: 0;
                    left: 0;
                }
            }
            & > .__header {
                padding: 0.6rem 1rem;
                font-size: 1.4rem;
                line-height: 2.2rem;
                position: relative;
            }
        
            & > .__content {
                padding: 0.4rem;
                position: relative;
                min-height: 80%;
                // height: 80%;
                height: 100%;
                width: 100%;
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
    
                .drag-drop-main-section {
                    width: 100%;
                    min-height: 75%;
                    border-radius: 1.2rem;
                    background: #D4F1FF;
                    padding: 1rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;
                    margin-right: 0;
                    
                    .drag-drop-area,
                    .example-area{
                        min-height: 12rem;
                        width: calc(33.33% - 0.8rem);
                        margin-right: 0.4rem;
                        margin-left: 0.4rem;
                        margin-bottom: 2rem;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        // &:nth-child(3n){
                        //     margin-right: 0;
                        // }
                        .image-example-item,
                        .image-keyword-item{
                            position: relative;
                            height: 8rem;
                            width: 85%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            box-shadow: 0px 0px 0px 2px #d4e9ff;
                            border-radius: 8px;
                            margin-bottom: 1rem;
                            background: white;
                            img {
                                border-radius: 8px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }
                        .example-input-cell{
                            position: relative;
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            padding: 0.4rem;
                            border-radius: 1.5rem;
                            box-shadow: 0 0.4rem 0 #67ab8db3;
                            background: #67ab8d;
                            line-height: 1.6rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            pointer-events: none;
                            span{
                                color: white;
                                font-size: $font-size;
                                font-family: 'mont_sb';
                            }
                        }
                        
                        .keyword-input-cell{
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            border-radius: 1.5rem;
                            border: 2px dashed #2693FD;
                            background: white;
                            pointer-events: all;
                            &.__has-data{
                                display: none;
                            }
    
                            &.--danger {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #E56C6C;
                                background-color: salmon;
                                color: $white;
                            }
              
                            &.--success {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #91E897;
                                background-color: limegreen;
                                color: $white;
                            }
                        }
                        .dropped-text{
                            position: relative;
                            min-width: 8ch;
                            min-height: 4rem;
                            height: auto;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 2rem;
                            color: $white;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            border-radius: 1.5rem;
                            cursor: grab;       
                        }
                    }
                }
                .keyword-list-section{
                    width: 100%;
                    min-height: 25%;
                    overflow-y: auto;
                    overflow-x: hidden;
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    align-items: center;
                    justify-content: center;
                    .__drag {
                        &-item {
                            width: calc(33.33% - 0.8rem);
                            margin: 0.4rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;                            
                        }
            
                        &-content {
                            width: 100%;
                            min-height: 3rem;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            color: $white;
                            cursor: grab;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 2rem;
                            position: relative;
            
                            &:hover {
                                &::before {
                                    opacity: 1;
                                }
                            }
            
                            &.--invisible {
                                opacity: 0;
                            }
            
                            & > span {
                                position: relative;
                                z-index: 2;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media only screen and (max-width: 1112px) and (min-aspect-ratio:4/3){
    $font-size: 1.6rem;
    .pt-o-game-dd2 {
        
        .temp-drag-item{
            font-size: $font-size;
        }

        &__right {
            & > .__content {
                .drag-drop-main-section {
                    .drag-drop-area,
                    .example-area{
                        width: calc(25% - 1rem);
                        margin-left: 0.5rem;
                        margin-right: 0.5rem;
                        .example-input-cell{
                            span{
                                font-size: $font-size;
                            }
                        }
                        
                        .dropped-text{
                            
                            font-size: $font-size;
                            
                        }
                    }
                }
                .keyword-list-section{                    
                    .__drag {                                    
                        &-content {                            
                            font-size: $font-size;
                        }
                    }
                }
            }
        }
    }
}

@include screen-1024-landscape{
    $font-size: 1.4rem;
    .pt-o-game-dd2 {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        .temp-drag-item{
            position: relative;
            min-width: 8ch;
            min-height: 4rem;
            height: auto;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_sb';
            font-size: $font-size;
            line-height: 2.4rem;
            color: $white;
            padding: 0.4rem;
            background: #2693FD;
            border-radius: 2rem;
            box-shadow: 0 0.4rem 0 #8CC4FE;
            cursor: grab;
            z-index: 5;
        }
        &__container{
    
            & > .__paper {
                width: 64.2rem;
                height: 100%;
                margin: 0 auto;
                font-size: 2rem;
                line-height: 3.2rem;
                position: relative;
        
                &.--hidden {
                    display: none;
                }
        
                & > .__toggle {
                    width: 1.6rem;
                    height: 1.6rem;
                    cursor: pointer;
                    position: absolute;
                    top: 1.8rem;
                    right: 3.6rem;
                    z-index: 2;
                    transform: rotate(45deg);
                }
        
                .__pin.--right {
                    display: none;
                }
        
                .__content {
                    u {
                        text-decoration: underline !important;
                    }
            
                    i {
                        font-style: italic !important;
                    }
            
                    b {
                        font-weight: bold !important;
                    }
                }
            }
        }
        &__left {
            width: 26rem;
            max-width: 26rem;
            height: 26rem;
            max-height: 26rem;
            border-radius: 9rem 0 0 9rem;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
            position: relative;
            flex-shrink: 0;
            & > .__player {
                width: 50%;
                height:  50%;
            }
      
            & > .__duration {
                position: absolute;
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
                font-size: 2.2rem;
            }
        }
        &__right {
            max-width: calc(100% - 26rem);
            width: 100%;
            height: 100%;
            margin: 0 auto;
            background: $white;
            border-radius: 1.2rem;
            display: flex;
            flex-direction: column;
            transition: all 0.25s ease-in-out;
            transition-delay: 0.25s;
            font-family: "mont_m";

            & > .__tapescript {
                min-width: 15rem;
                width: 15rem;
                height: 4rem;
                border-radius: 2rem;
                color: $white;
                font-family: 'mont_b';
                font-size: 1.6rem !important;
                position: absolute;
                bottom: 0;
                left: -15rem;
                transform: translateX(-5.5rem);
                &:active {
                    &::before {
                        opacity: 1;
                    }
                }
        
                &::before {
                    width: 17.6rem;
                    height: 4.6rem;
                    background: $deepSkyBlue;
                    border-radius: 2.3rem;
                    color: $white;
                    content: 'Tapescript';
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-family: 'mont_b';
                    font-size: 1.8rem;
                    opacity: 0;
                    pointer-events: none;
                    position: absolute;
                    top: 0;
                    left: 0;
                }
            }

            & > .__header {
                padding: 7px 14px;
                font-size: 1.6rem;
                line-height: 2.2rem;
            }
    
            & > .__content {
                padding: 1.2rem 0.5rem 1.2rem 1rem;
                min-height: 70%;
                height: 100%;
                width: 100%;
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: row;
    
                .drag-drop-main-section {
                    min-width: 75%;
                    width: 100%;
                    height: 100%;
                    border-radius: 1.2rem;
                    background: #D4F1FF;
                    padding: 1.4rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;
                    margin-right: 0rem;
                    .drag-drop-area,
                    .example-area{
                        min-height: 16rem;
                        width: calc(33.33% - 2rem);
                        margin-left: 1rem;
                        margin-right: 1rem;
                        margin-bottom: 2.4rem;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        .image-example-item,
                        .image-keyword-item{
                            height: 11rem;
                            width: 85%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            box-shadow: 0px 0px 0px 2px #d4e9ff;
                            border-radius: 8px;
                            margin-bottom: 1rem;
                            background: white;
                            img {
                                border-radius: 8px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }
                        .example-input-cell{
                            position: relative;
                            min-height: 4rem;
                            // height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            padding: 0.4rem;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #67ab8db3;
                            background: #67ab8d;
                            line-height: 2.4rem;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            text-align: center;
                            pointer-events: none;
                            span{
                                color: white;
                                font-size: $font-size;
                                font-family: 'mont_sb';
                            }
                        }
                        
                        .keyword-input-cell{
                            // height: 4rem;
                            min-height: 4rem;
                            width: 100%;
                            min-width: 8ch;
                            border-radius: 2rem;
                            border: 2px dashed #2693FD;
                            background: white;
                            pointer-events: all;
                            &.__has-data{
                                display: none;
                            }
    
                            &.--danger {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #E56C6C;
                                background-color: salmon;
                                color: $white;
                            }
              
                            &.--success {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #91E897;
                                background-color: limegreen;
                                color: $white;
                            }
                        }
                        .dropped-text{
                            position: relative;
                            min-width: 8ch;
                            min-height: 4rem;
                            height: auto;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 2.4rem;
                            color: $white;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            cursor: grab;
                        }
                    }
                }
                .keyword-list-section{
                    min-width: 0%;
                    width: 25%;
                    height: 100%;
                    overflow-y: auto;
                    overflow-x: hidden;
                    .__drag {
                        &-item {
                            width: calc(100% - 1.2rem);
                            min-height: 4rem;
                            height: 4rem;
                            margin: 0.6rem;
                            margin-bottom: 1rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                        }
            
                        &-content {
                            position: relative;
                            width: 100%;
                            padding: 0.4rem;
                            background: #2693FD;
                            border-radius: 2rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            color: $white;
                            cursor: grab;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 2.2rem;
                            
                            &:hover {
                                &::before {
                                    opacity: 1;
                                }
                            }
            
                            &.--invisible {
                                opacity: 0;
                            }
            
                            & > span {
                                position: relative;
                                z-index: 2;                                
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-960-landscape{
    $font-size: 1.2rem;
    .pt-o-game-dd2 {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
      
        .temp-drag-item{
            position: relative;
            min-width: 9ch;
            min-height: 3.2rem;
            height: auto;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_sb';
            font-size: $font-size;
            line-height: 1.6rem;
            color: $white;
            padding: 0.4rem;
            background: #2693FD;
            border-radius: 1.5rem;
            box-shadow: 0 0.4rem 0 #8CC4FE;
            cursor: grab;
            z-index: 5;
        }
        &__container{
    
            & > .__paper {
                width: 64.2rem;
                height: 100%;
                margin: 0 auto;
                font-size: 1.4rem;
                line-height: 3rem;
                position: relative;
        
                &.--hidden {
                    display: none;
                }
        
                & > .__toggle {
                    width: 1.6rem;
                    height: 1.6rem;
                    cursor: pointer;
                    position: absolute;
                    top: 1.8rem;
                    right: 3.6rem;
                    z-index: 2;
                    transform: rotate(45deg);
                }
        
                .__pin.--right {
                    display: none;
                }
        
                .__content {
                    u {
                        text-decoration: underline !important;
                    }
            
                    i {
                        font-style: italic !important;
                    }
            
                    b {
                        font-weight: bold !important;
                    }
                }
            }
        }

        &__left {
            width: 18rem;
            height: 18rem;
            margin-top: -6rem;
            max-width: 18rem;
            max-height: 18rem;
            border-radius: 9rem 0 0 9rem;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
            position: relative;
            flex-shrink: 0;
            & > .__player {
                width: 50%;
                height:  50%;
            }
      
            & > .__duration {
                position: absolute;
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
                font-size: 1.8rem;
            }
        }

        &__right {
            max-width: calc(100% - 18rem);

            & > .__tapescript {
                min-width: 15rem;
                width: 15rem;
                height: 4rem;
                border-radius: 2rem;
                color: $white;
                font-family: 'mont_b';
                font-size: 1.2rem !important;
                position: absolute;
                bottom: 0;
                left: -15rem;
                transform: translateX(-1.5rem);
                &:active {
                    &::before {
                        opacity: 1;
                    }
                }
        
                &::before {
                    width: 17.6rem;
                    height: 4.6rem;
                    background: $deepSkyBlue;
                    border-radius: 2.3rem;
                    color: $white;
                    content: 'Tapescript';
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-family: 'mont_b';
                    font-size: 1.2rem;
                    opacity: 0;
                    pointer-events: none;
                    position: absolute;
                    top: 0;
                    left: 0;
                }
            }

            & > .__header {
                padding: 5px 12px;
                font-size: 1.4rem;
                line-height: 2.2rem;
            }
      
            & > .__content {
                padding: 0.5rem;
                min-height: 70%;
                height: 100%;
                width: 100%;
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: row;
    
                .drag-drop-main-section {
                    width: 75%;
                    height: 100%;
                    border-radius: 1.2rem;
                    background: #D4F1FF;
                    padding: 1rem;
                    display: flex;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;
                    // margin-right: 0.4rem;
    
                    .drag-drop-area,
                    .example-area{
                        min-height: 9.2rem;
                        width: calc(33.333% - 0.4rem);
                        margin-left: 0.2rem;
                        margin-right: 0.2rem;
                        margin-bottom: 2.2rem;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        .image-example-item,
                        .image-keyword-item{
                            height: 6rem;
                            width: 85%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            box-shadow: 0px 0px 0px 2px #d4e9ff;
                            border-radius: 8px;
                            margin-bottom: 1rem;
                            background: white;
                            img {
                                border-radius: 8px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }
                        .example-input-cell{
                            position: relative;
                            min-height: 3.2rem;
                            width: 100%;
                            min-width: 8ch;
                            padding: 0.4rem;
                            border-radius: 1.5rem;
                            box-shadow: 0 0.4rem 0 #67ab8db3;
                            background: #67ab8d;
                            line-height: 1.6rem;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            text-align: center;
                            pointer-events: none;
                            span{
                                color: white;
                                font-size: $font-size;
                                font-family: 'mont_sb';
                            }
                        }
                        
                        .keyword-input-cell{
                            min-height: 3.2rem;
                            width: 100%;
                            min-width: 8ch;
                            border-radius: 1.5rem;
                            border: 2px dashed #2693FD;
                            background: white;
                            pointer-events: all;
                            &.__has-data{
                                display: none;
                            }
    
                            &.--danger {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #E56C6C;
                                background-color: salmon;
                                color: $white;
                            }
              
                            &.--success {
                                border-style: none;
                                box-shadow: 0 0.4rem 0 #91E897;
                                background-color: limegreen;
                                color: $white;
                            }
                        }
                        .dropped-text{
                            position: relative;
                            min-width: 8ch;
                            min-height: 3.2rem;
                            height: auto;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 1.6rem;
                            color: $white;
                            padding: 0.4rem 0.1rem;
                            background: #2693FD;
                            border-radius: 1.5rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            cursor: grab;
                        }
                    }
                }
                .keyword-list-section{
                    width: 25%;
                    height: 100%;
                    overflow-y: auto;
                    overflow-x: hidden;
                    .__drag {
                        &-item {
                            width: calc(100% - 0.4rem);
                            min-height: 3.2rem;
                            margin: 0.2rem;
                            margin-bottom: 2rem;
                            text-align: center;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                        }
            
                        &-content {
                            min-height: 3.2rem;
                            width: 100%;
                            padding: 0.4rem 0.2rem;
                            background: #2693FD;
                            border-radius: 1.5rem;
                            box-shadow: 0 0.4rem 0 #8CC4FE;
                            color: $white;
                            cursor: grab;
                            font-family: 'mont_sb';
                            font-size: $font-size;
                            line-height: 1.6rem;
                            position: relative;
                            &:hover {
                                &::before {
                                    opacity: 1;
                                }
                            }          
                            &.--invisible {
                                opacity: 0;
                            }            
                            & > span {
                                position: relative;
                                z-index: 2;
                            }
                        }
                    }
                }
            }
        }
    }
}